<?php $pageTitle="Home"; ?>

<?php require_once('../includes/header.php'); 
require_once('../admin/config.php'); 

function dateDiff($date1, $date2) //returns the difference, in days, between two dates.  avoids the daylight's savings issue by using GMT 
{ 
    $date1 = date_parse($date1); 
    $date2 = date_parse($date2); 
    return ((gmmktime(0, 0, 0, $date1['month'], $date1['day'], $date1['year']) - gmmktime(0, 0, 0, $date2['month'], $date2['day'], $date2['year']))/3600/24); 
} 

?>
<script type="text/javascript">
var _hidediv = null;
function showdiv(id) {
    if(_hidediv)
        _hidediv();
    var div = document.getElementById(id);
    div.style.display = 'block';
    _hidediv = function () { div.style.display = 'none'; };
}
</script>
<h2>Events Admin Page</h2>
<br>
<ul>
	<li class='eventslist'><a onclick="showdiv('eventdiv');">Event</a></li>
	<li class='eventslist'><a onclick="showdiv('announcediv');">Announcement</a></li>
</ul>

<div id='startdiv'>
<h3>Add Event or Announcment</h3>
<p>To Add an event click event or announcement above.</p>
</div>

<div style='display:none;' id='eventdiv'>
<h3>Add Event</h3>

<form id='event' enctype="multipart/form-data" method="post" action="event_submit.php">
<input type="hidden" name="MAX_FILE_SIZE" value="400000" />
<hr/>
<label for="title">Title:</label>
<input type="text" id="title" name="title" required autofocus /><br />

<label for='sdate'>Start Date:</label>
<input type='date' id='sdate' name='sdate' required /><input type='time' id='stime' name='stime' required /><br />

<label for='edate'>End Date:</label>
<input type='date' id='edate' name='edate' required /><input type='time' id='etime' name='etime' required /><br />

<label for='location'>Location:</label>
<input type='text' id='location' name='location' required /><br />

<label for='contact'>Contact Name (if applicable):</label>
<input type='text' id='contact' name='contact' /><br />

<label for="contact_info">Contact Info (email, phone, etc...) (if applicable):</label>
<input type="text" id="contact_info" name="contact_info" /><br />

Long Description:<br />
<textarea STYLE="background-color: #72A4D2;" COLS=40 ROWS=8 id="desc" name="desc"></textarea><br />

<label for="img_link">Picture (if applicable):</label>
<input type="file" id="img_link" name="img_link" ><br />

<input type="submit" value="Store Event" name="submit" />
<br />
</form>
</div>

<div style='display:none;' id='announcediv'>
<h3>Add Announcement</h3>

<form enctype="multipart/form-data" method="post" action="event_submit-copy-2-21-13.php">
<input type="hidden" name="MAX_FILE_SIZE" value="400000" />
<hr/>
<label for="title">Announcement Title:</label>
<input type="text" STYLE="background-color: #72A4D2;" id="title" name="title" /><BR>
<label for="date_remove">Announcement End Date (or date of Event) (YYYY-MM-DD):</label>
<input type="text" STYLE="background-color: #72A4D2;" id="date_remove" name="date_remove" /><BR>
<label for="contact_name">Contact Name (if applicable):</label>
<input type="text" id="contact_name" name="contact_name" /><BR>
<label for="contact_info">Contact Info (email, phone, etc...) (if applicable):</label>
<input type="text" id="contact_info" name="contact_info" /><BR>
<label for="location">Location (if applicable):</label>
<input type="text" id="location" name="location" /><BR>
<label for="time">Date/Time of Event (if applicable):</label>
<input type="text" id="time" name="time" /><BR>
Long Description:<br>
<textarea STYLE="background-color: #72A4D2;" COLS=40 ROWS=8 id="desc" name="desc"></textarea><BR>
<label for="img_link">Picture (if applicable):</label>
<input type="file" id="img_link" name="img_link" ><BR>
<input type="submit" value="Store Announcement" name="submit" />
<hr/>
</form>
</div>


<br />
<h3>Delete Item</h3>
<form enctype="multipart/form-data" method="post" action="event_submit.php">
<?php
if ($dbc = mysqli_connect('engr-db.engr.oregonstate.edu',$mysqluser,$mysqlpass,'ieee','3307')){
	
$query = "SELECT * FROM news_article ORDER BY date_remove ASC";
$result = mysqli_query($dbc, $query);

while($row = mysqli_fetch_array($result)){
  if (dateDiff(date('Y-m-d', time()), $row['date_remove']) < 1){
	  $someannounce = 1;
	  echo '<div class="announcement">';
	  echo '<input type="checkbox" name="item" value="' . $row['id'] . '" /> <b>Delete?</b><br />';
	  if ($row['image_link']){
		$target = '../img/' . $row['image_link'];
		if(is_file("$target") && filesize("$target") > 0 )
			echo '<div class="announcement_img"><img src="' . $target . '" align=right height=100></div>';
		}
	  if ($row['event_title'])
		echo '<b>' . $row['event_title'] . '</b>';
	  echo '<BR><b>Description: </b> ' . $row['event_desc'];
	  if ($row['contact_name'])
		echo '<b>Contact Name:</b> ' . $row['contact_name'] . '<BR>';
	  if ($row['contact_name'])
		echo '<b>Contact Info:</b> ' . $row['contact_info'] . '<BR>';
	  if ($row['event_time'])
		echo '<BR><b>Time: </b>' . $row['event_time'];
	  if ($row['event_location'])
		echo '<BR><b>Location: </b>' . $row['event_location'];
	  echo '<BR><small>[Posted: ' . $row['date_posted'] . ']</small>'; 
	  echo '<BR><small>[Expires: ' . date("l, F jS, Y", strtotime($row['date_remove'])) . ']</small>'; 
	  echo '</div>';
	  echo '<hr width=60%>';
  }
}
if ($someannounce == 0) // No current announcements
	echo '<div class=announcement>No Current Announcements</div><BR>';
}

?>

<input type="submit" value="Delete Event" name="submit" />
<hr/>
</form>

<BR>
<h3>Send Emails</h3>
The button below will automatically create and send an email about upcoming events and announcements. Please use with caution. Don't spam people with out cause. It auto sends to eecs-pre, eecs-pro, and eecs-grad.<BR><BR>

<form enctype="multipart/form-data" method="post" action="event_email.php">
Additional text at top of email (optional):<br>
<textarea COLS=40 ROWS=8 id="email_addon" name="email_addon"></textarea><BR>
<input type="submit" value="Email about Events" name="submit" />
<hr/>
</form>

<b>Scratch, ignore below.</b><BR>
<a href="http://www.carnivalsavers.com/cola_ringtoss.html">Ring Toss</a><BR>
<a href="http://www.carnivalsavers.com/crazy_birds_carnival_game.html">Angry Birds</a><BR>
<a href="http://www.carnivalsavers.com/football_toss_carnival_game.html">Football Toss</a><BR>
<a href="http://www.carnivalsavers.com/rockwall_carnival_activity.html">Climbing Wall</a><BR>
<a href="http://www.backyardcarnivals.com/DunkTank.htm">Dunk Tank</a><BR>
<a href="http://www.carnivalsavers.com/cotton_candy_carnival_booth.html">Cotton Candy</a><BR>
<a href="">Hot Dogs</a><BR>
<a href="">Photo Booth</a><BR>

<?php include('../includes/footer.php'); ?>
