<?php $pageTitle="Industry Relations"; ?>

<?php include('includes/header.php'); ?>

<h2>Industry Relations</h2>


<p>The OSU chapter of IEEE is the premier organization for helping you to be noticed by ECE and CS seniors. We offer a variety of options for hosted seminars and events. These opportunities are often tax deductible and put you face-to-face with OSU students interested in what your company has to say.</p>
<h4>Common Seminar Packages</h4>
<ul>
<li>Bronze:<BR> Scheduled time and location on campus.<BR> Inclusion in recruiting emails and IEEE mails at OSU.<BR> Pizza for expected attendance (up to 60 students).</li>
<li>Silver:<BR> Scheduled time and location on campus.<BR> Inclusion in recruiting emails and IEEE mails at OSU.<BR> Extra recruiting tools including posters, signs, brochures, etc.<BR>  Catering (better than pizza) for expected attendance (up to 60 students).</li>
<li>Gold:<BR> Scheduled time and location on campus.<BR> Inclusion in recruiting emails and IEEE mails at OSU.<BR> Extra recruiting tools including posters, signs, brochures, etc.<BR> Company profile posted to IEEE chapter webpage.<BR> Catering (better than pizza) expected attendance (up to 60 students).</li>
</ul>
<h4>Other Sponsorships</h4>
If your company is looking to connect with students at OSU but not through a seminar due to your employees time and/or resources, we also sponsorships that get your name out there and help our students.
<ul>
<li>T Shirts<BR> Each year, the IEEE group creates and new exciting T Shirt for our members. We are always looking for sponsors to help defray the cost to students. This is a recommended $500 donation and we supply to your company 10 shirts of the new design in your choice of sizes. Additionally, you company profile will be posted to the IEEE chapter webpage.</li>
<li>EECS Fair<BR> In the spring of each year, all EECS clubs put on an EECS student fair. This is a carnival style event with food, and midway style games including a professor dunk tank. Your generous donation helps to fund the event. All donations for this category include a company profile on the IEEE chapter webpage.<BR> $250 (Suggested Donation) - Fund a booth. Each game booth has its own prizes and requirements. Your donation helps pay for one of these booths. You will receive free tickets to play and your name on the booth.<BR> $500 (Suggested Donation) - Fund Food. Your kind donation will help to pay for student food for the event. In the true midway style, this includes hot dogs and cotton candy!<BR></li>
<li>IEEE Project Fund<BR> As members of the IEEE OSU Chapter, students have the option to request small amounts of funding from the IEEE Project fund for their projects. These projects are approved by the IEEE chapter executive committee and must have a good chance of success and 'must be flashy.' Companies donating to this fund will recognized in print and on the final device build with fund monies. All donations for this fund include a company profile on the IEEE chapter webpage. </li>
</ul>
<h4>How do I Get Involved?</h4>
<p>To get involved with one of these activities, please email the <a href="mailto:osu-exec@IEEE.ORG">IEEE Executive</a> list. You will get a confirmation email after you send your email. You must click the link inside of to ensure your email is delivered.</p>
</ul>
<h4>How do I get there?</h4>
<p>Most seminars are held in Kelly Engineering Center. The map below shows where to find the engineering center</p>

<iframe width="500" height="400" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="http://maps.google.com/maps?q=kelley+engineering+center+corvallis+or&amp;ie=UTF8&amp;hq=&amp;hnear=Kelley+Engineering+Center,+Corvallis,+Oregon+97331&amp;gl=us&amp;t=m&amp;ll=44.570415,-123.278618&amp;spn=0.012229,0.021501&amp;z=15&amp;iwloc=A&amp;output=embed"></iframe><br /><small><a href="http://maps.google.com/maps?q=kelley+engineering+center+corvallis+or&amp;ie=UTF8&amp;hq=&amp;hnear=Kelley+Engineering+Center,+Corvallis,+Oregon+97331&amp;gl=us&amp;t=m&amp;ll=44.570415,-123.278618&amp;spn=0.012229,0.021501&amp;z=15&amp;iwloc=A&amp;source=embed" style="color:#0000FF;text-align:left">View Larger Map</a></small>

<?php include('includes/footer.php'); ?>
