<?php $pageTitle="Email Submitted"; ?>

<?php include('includes/header.php'); ?>

<?php
if(isset($_POST['email'])) {
    
    $email_to = "osu-exec@IEEE.ORG";
    //$email_to = "oatesj@onid.orst.edu";
    $email_subject = "Nomination Form Submission";

    function died($error) {
        // your error code can go here
        echo "We are very sorry, but there were error(s) found with the form you submitted. ";
        echo "These errors appear below.<br /><br />";
        echo $error."<br /><br />";
        echo "Please go back and fix these errors.<br /><br />";
        die();
    }
     
    // validation expected data exists
    if(!isset($_POST['candidate_first_name']) ||
        !isset($_POST['candidate_last_name']) ||
        !isset($_POST['email'])               ||
        !isset($_POST['position'])) {
        died('We are sorry, but there appears to be a problem with the form you submitted.');      
    }
     
    $first_name = $_POST['candidate_first_name']; // required
    $last_name = $_POST['candidate_last_name']; // required
    $email_from = $_POST['email']; // required
    $position = $_POST['position'];
         
    $error_message = "";
    $email_exp = "^[A-Z0-9._%-]+@[A-Z0-9.-]+\.[A-Z]{2,4}$";
    if(!eregi($email_exp,$email_from)) {
        $error_message .= 'The Email Address you entered does not appear to be valid.<br />';
    }
    $string_exp = "^[a-z .'-]+$";
    if(!eregi($string_exp,$first_name)) {
        $error_message .= 'The Candidate First Name you entered does not appear to be valid.<br />';
    }
    if(!eregi($string_exp,$last_name)) {
        $error_message .= 'The Candidate Last Name you entered does not appear to be valid.<br />';
    }
    if(strlen($error_message) > 0) {
        died($error_message);
    }
     
    function clean_string($string) {
        $bad = array("content-type","bcc:","to:","cc:","href");
        return str_replace($bad,"",$string);
    }

    $email_message = "The following person has been nominated for the following position.\n\n";
    $email_message .= "First Name: ".clean_string($first_name)."\n";
    $email_message .= "Last Name: ".clean_string($last_name)."\n";
    $email_message .= "Email: ".clean_string($email_from)."\n";
    $email_message .= "Position: ".clean_string($position)."\n";
     
    // create email headers
    $headers = 'From: '.$email_from."\r\n".
    'Reply-To: '.$email_from."\r\n" .
    'X-Mailer: PHP/' . phpversion();
    @mail($email_to, $email_subject, $email_message, $headers); 
    ?>

    Thank you for your submission!

    <?php
}

include('includes/footer.php'); ?>
