<?php $pageTitle="Store"; ?>

<?php include('includes/header.php'); ?>

<h2>Store</h2>
<br />

<h4>About the store</h4>
<p>The IEEE store offers a wide selection of electronic components, tools, and supplies to meet all of your coursework and hobbyist needs.  The store is operated by the IEEE as a service to OSU students, faculty, and staff.  Our prices are often a fraction of those at chain stores, and you just can’t beat our convenient location in <a href="http://oregonstate.edu/campusmap/?zoom=17&type=normal&centerlat=44.5671743814702&centerlng=-123.27538847923279&layers=1,&locations=752," >Dearborn Hall</a>.</p>

<h4>Store Hours</h4>
<p>Our store is run by student volunteers. If the store is not open when the schedule indicates it should be, please email the store manager or the ieee officers and let them know when this occured. Check back to ensure that you have the latest store hours.</p>
<iframe src="//www.google.com/calendar/embed?showNav=0&showTitle=0&amp;showTabs=0&amp;mode=WEEK&amp;height=450&amp;wkst=1&amp;bgcolor=%23FFFFFF&amp;src=ogevnn2en6s6gout0jsfts0998%40group.calendar.google.com&amp;color=%2329527A&amp;ctz=America%2FLos_Angeles" style=" border-width:0 " width="650" height="520" frameborder="0" scrolling="no"></iframe>

<p>&nbsp;</p>

<h4>Need a unique part?</h4>
<p>For the time being contact the store manager via the <a href="mailto:IEEE_Store-owner@engr.oregonstate.edu">IEEE Store email</a> with the part you need and the quantity needed. We'll bring it in for you on our next order!</p>
</iframe>

<?php /*   // BELOW HASN'T BEEN UPDATES FOR SOME TIME - 1/22/13
<p>&nbsp;</p>

<h4>Parts list</h4>
<p>The following list of parts should be updated weekly by the store manager. Please refer to it for availablity and pricing.</p>
<!--<iframe src="http://spreadsheets.google.com/pub?key=p0AUAWijj7Qdo714Dzi4kUg" style=" border-width:0 " width="600" height="480" frameborder="0" scrolling="yes"></iframe>-->
<iframe width='650' height='450' frameborder='0' src='http://spreadsheets.google.com/pub?key=p0AUAWijj7Qdo714Dzi4kUg&output=html&widget=true'></iframe>
*/ ?>

<?php include('includes/footer.php'); ?>
