<?php
	require_once('../admin/config.php'); 
	$dbc = mysqli_connect('engr-db.engr.oregonstate.edu',$mysqluser,$mysqlpass,'ieee','3307');
	$choices = $_POST['choices'];
	$onid = getOnid($dbc);
	
	// ERROR CHECKING
	// make sure the user entered choices
	if(empty($choices)) {
		echo "<meta http-equiv='refresh' content='0;url=http://groups.engr.oregonstate.edu/ieee/web/dunk-tank-2013/?e=1'>";
		exit;
	}
	if(empty($onid)) {
		echo "<meta http-equiv='refresh' content='0;url=http://groups.engr.oregonstate.edu/ieee/web/dunk-tank-2013/?e=2'>";
		exit;
	}
	// verify the onid
	if(!existsOnid($onid)) {
		echo "<meta http-equiv='refresh' content='0;url=http://groups.engr.oregonstate.edu/ieee/web/dunk-tank-2013/?e=3'>";	
		exit;
	}
	// check if the user already voted
	if(checkVoter($onid, $dbc) > 0) {
		echo "<meta http-equiv='refresh' content='0;url=http://groups.engr.oregonstate.edu/ieee/web/dunk-tank-2013/?e=4&o=$onid'>";
		exit;	
	}

	
	// Increase Vote Counts
	vote($choices, $dbc);
	
	// Add voter to the already voted list: onidvoter
	addOnid($onid, $dbc);
	
	// Votes submitted!	all done.
	echo "<meta http-equiv='refresh' content='0;url=http://groups.engr.oregonstate.edu/ieee/web/dunk-tank-2013/?e=5'>";	
	
// Gets the onid out of the addresss
function getOnid($dbc) {
	$onid = trim(strtolower(mysqli_real_escape_string($dbc, $_POST['onid'])));
	$onid = split('@', $onid);
	$onid = $onid[0];
	return $onid;
}

function existsOnid($onid) {
	$address = 'http://people.oregonstate.edu/~'.$onid.'/';
	$file_headers = @get_headers($address);
	return ($file_headers[0] != 'HTTP/1.1 404 Not Found');
}

function checkVoter($onid, $dbc) {
	$checkvoter_q = "SELECT * FROM onidvoter WHERE onid = '".$onid."'";
	$checkvoter_r = mysqli_query($dbc, $checkvoter_q);
	return mysqli_num_rows($checkvoter_r);
}

function vote($facultyids, $dbc) {
	foreach($facultyids as $id) {
		$addvote_q = "UPDATE votes SET count = count + 1 WHERE f_id = $id";
		mysqli_query($dbc, $addvote_q);
	}
}

function addOnid($onid, $dbc) {
	$addonid_q = "INSERT INTO onidvoter (onid) VALUES ('$onid')";
	mysqli_query($dbc, $addonid_q);
}
?>